





                                  
                                  
                                  
                                  
                                  
                                  
                                  3D Glyph

                          Red/Blue Anaglyph Generator

                             User Reference Manual











































3D Glyph Index


Section 1 - Commands
   File Menu
   View Menu
   Convert Menu
  
Section 2 - Reference Information
   3D Glyph Overview/Features
   Introduction to Anaglyphs
   How do Anaglyphs Work?
   Anaglyph Advantages
   Anaglyph Disadvantages
   Generating Left/Right Images
   Red/Green/Blue Scaling Images
   
Appendices
   A - How to Register
   B - Order Form
   C - Reporting Bugs
   D - License Agreement
   E - Disclaimer
   F - Acknowledgments




































======================================================================
SECTION 1 - FILE MENU

The file menu includes commands that perform image file open and save 
operations, as well as exiting the program.  For more information on 
a particular menu command, see the File menu command name 
descriptions listed below.

Open Left Eye Image
-------------------

   File Name
      Type the name of the file that you want to load, or select a 
      file from the list box using the mouse.  This will load the 
      "left-eye" image file to be converted.

   List Files of Type
      Select the type of image files you want to load from.  When you
      select a file type, the files with the corresponding extension 
      are listed in the Files list box.  3DGLYPH supports Targa (.TGA) 
      and Windows Bitmap (.BMP) files.  The registered version also 
      supports Compuserve GIF, TIF, and PCX file types.

   Drives
      Select the drive on which the file to be loaded is located.

   Directories
      Select the directory in which the file to be loaded is located.

Open Right Eye Image
--------------------

   See "Open Left Eye Image" above.

Save Anaglyph
-------------

   File Name
      Type the name of the file that you want to save the anaglyph 
      under.

   Save File of Type
      Select the type of image file you want to save the anaglyph as.
      3DGLYPH supports Targa (.TGA) and Windows Bitmap (.BMP) files.
      The registered version also supports Compuserve GIF, TIF, and 
      PCX file types.

   Drives
      Select the drive on which the file is to be saved.

   Directories
      Select the directory in which the file is to be saved.

Exit
----

   Exit from 3DGLYPH.  Upon exit, 3DGLYPH will prompt you for 
   verification that you wish to exit.  Click on OK to exit the 
   program.
   
======================================================================
SECTION 1 - VIEW MENU

The view menu includes commands that allow the user to select which 
image to view on the display, if any. For more information on a 
particular menu command, see the View menu command name descriptions 
listed below.

View Left Eye Image
-------------------

   Selecting this menu choice will cause the left-eye image (if 
   loaded) to be displayed.  As the program stores all images 
   (regardless of original color depth) as 24-bit color images, 
   the display routine may take some time to display the image.  
   To minimize the display time, use the sizing bars to reduce the 
   size of the program window.

View Right Eye Image
--------------------

   Selecting this menu choice will cause the right-eye image (if 
   loaded) to be displayed.  

View Anaglyph
-------------

   Selecting this menu choice will cause the anaglyph image (if 
   generated) to be displayed.  































======================================================================
SECTION 1 - CONVERT MENU

The convert menu includes commands that allow the user to set the 
various options for generating anaglyphs, as well as generating the 
anaglyph.  For more information on a particular menu command, see the
the Convert menu command descriptions listed below.

Settings
--------

   Output Color Depth
      Select the output color depth of the anaglyph image when saved.
      The two valid selections are 256 colors (8-Bit), and 16.8M 
      colors (24-Bit).

   Left Eye Image Color
      Select the color to scale the left-eye image to.  When using 
      standard Red/Blue glasses, the left eye image is scaled to Red.
      When viewing anaglyph images, the color of the left-eye image 
      should correspond to the color of the left eye film in the 
      glasses.

   Right Eye Image Color
      Select the color to scale the right-eye image to.

   Image Intensity
      Select the intensity of the scaled images.  After each image is
      scaled, 3DGLYPH merges the two images using the percentages 
      defined here.  For example, if the left-eye image is set to 200%
      intensity, the left image will be merged with the right at twice
      its scaled intensity.

   RGB Scale Factor
      Select the percentages to scale each color in the original left
      and right images by.  A normal greyscale will use the default
      percentages of 30% Red, 59% Green, and 11% Blue.  These per-
      centages can be modified to brighten, darken, or otherwise 
      modify the appearance of the scaled image.

Generate Anaglyph
-----------------

   When this command is selected, 3DGLYPH first scales the left-eye 
   image, then the right-eye image, and finally merges the two scaled
   images into a 3-D anaglyph image.  Conversion status is updated on
   the Title bar of the program window as the conversion takes place.
   The user is notified upon completion of the conversion.  For large
   images, this process make take some time.

Batch Process
-------------

   This command is provided to simplify the procedure for generating
   3D animations.  3DGLYPH accepts two file specifications (with wild-
   cards), one for the left-eye images, and one for the right eye 
   images.



======================================================================
SECTION 1 - CONVERT MENU

Batch Process, cont.
--------------------

   As an example, if three left-eye images have been generated titled
   LEFT1.TGA, LEFT2.TGA, and LEFT3.TGA, as well as three right-eye
   images, title RIGHT1.TGA, RIGHT2.TGA, and RIGHT3.TGA, then the two
   file specifications would be LEFT*.TGA and RIGHT*.TGA.  As each
   pair of files is loaded and an Anaglyph is generated, the user is
   presented with the Save Anaglyphsave_glyph dialog box for assigning
   a file name to each image.

   Using an animation program, the resulting anaglyph images can be 
   combined into a 3-Dimensional animation.




             ============= END OF SECTION 1 ============







































======================================================================
SECTION 2 - 3D GLYPH OVERVIEW/FEATURES

3D Glyph presents the user a variety of features intended to simplify
the anaglyph generating process while at the same time providing the
maximum utility.

Display Targa or Windows BMP images
-----------------------------------
   
   3D Glyph will read in and display two separate graphic images
   simultaneously.  The file formats supported currently are Targa and
   Windows 3.x Bitmap (BMP) images.  The registered version of 3DGLYPH
   also supports Compuserve GIF, TIFF, and PCX file formats.  Images
   are opened using the Open Left Eye Image and Open Right Eye Image 
   commands from the File Menu.  Viewing of the images is accomplished
   using the View Left Eye Image and View Right Eye Image commands
   from the View Menu.

Redscale, Bluescale, or Greenscale an image
-------------------------------------------

   Once an image or images has been read in, 3D Glyph will perform a
   Red, Blue, or Green scale operation on the image (much the same as
   a "Greyscale" is performed on color images to enable viewing on
   monochromatic systems).  3D Glyph allows the user to individually
   set the RGB scaling percentages, the color to scale each image for,
   and the intensity of the scaled image through the Settings command
   in the Convert Menu.

Combine Left/Right Images to Create a 3-Dimensional "Anaglyph" image
--------------------------------------------------------------------

   3D Glyph combines two color-scaled images, a left-eye view and a
   right-eye view, into a single 3-Dimensional image known as an 
   "Anaglyph".  When viewed using common Red/Blue anaglyph glasses,
   the image assumes 3-Dimensional properties.  The user instructs 
   the program to generate this anaglyph image using the Generate 
   Anaglyph command in the Convert Menu.  Viewing of the anaglyph
   image is accomplished using the View Anaglyph command from the 
   View Menu.

Save the Anaglyph Image to Targa or Windows BMP format
------------------------------------------------------

   Once the anaglyph image is generated, 3D Glyph can save the image
   to disk as either a Targa or Windows BMP format file.  The 
   registered version of 3D Glyph also supports Compuserve GIF, TIFF,
   and PCX file formats.  Anaglyph images are saved using the Save 
   Anaglyph command from the File Menu.










======================================================================
SECTION 2 - INTRODUCTION TO ANAGLYPHS

An "Anaglyph" is one form of 3-Dimensional Image in a 2-Dimensional
medium.  The most common form of an anaglyph is the Red/Blue image
often found in 3D comic books and on the backs of cereal boxes.  When
viewed through a pair of relatively cheap red/blue film glasses, the
red/blue image takes on a 3-Dimensional aspect of apparent depth.

There are two minor drawbacks to the anaglyph form of 3-Dimensional
images.  The first is that the image has relatively poor quality.
Since it is viewed through colored film, there are no color differ-
entiations in the image, and the image is dimmed as light is lost
passing through the film.  The second drawback is that, since one eye
is receiving a red image while the other is receiving a blue image,
there is a certain amount of eyestrain involved in viewing anaglyphs
for any extended period of time.  Some individuals even report a
slight dizziness and disorientation after removing the glasses.

There is, however, one MAJOR advantage to anaglyphs.  It's cheap.
No other form of 3-Dimensional imagery, with the possible exception
of the Random Dot Stereogram (a form currently popular in shopping
malls), is as inexpensive as an anaglyph.  Other advantages to the
anaglpyh form include the ease of reproduction and the independence of
viewing angle.  There is an additional advantage to viewing anaglyphs
through the medium of the computer - as the computer is actively
broadcasting light, the anaglyph is not as dim, and has better clarity
than the printed form of the anaglyph.

3D Glyph provides a simple, intuitive user interface for generating
your own 3-D anaglyph images.





























======================================================================
SECTION 2 - HOW DO ANAGLYPHS WORK?

The 3rd Dimension
-----------------

   Human vision is binocular, that is, we have two eyes to see with.  
   Because our eyes are separated by approximately 2 1/2 inches 
   (average human), the brain receives two distinct images that are
   slightly different.  As an experiment, hold your finger up about
   two feet in front of your face, and then focus on the wall behind
   your finger.  By alternately closing your left and right eye, you
   will see that your finger obscures a different location on the wall
   depending on which eye you are using.  When you have both eyes 
   open, your brain combines the two separate images to provide a
   sense of depth - your brain knows your finger is closer than the
   wall because of this depth perception.

   Anaglyphs attempt to fool the brain by imitating the two images
   your eyes normally see on a single flat surface.  By drawing a
   "left eye" image and a "right eye" image, and then using a pair
   of colored lenses to block out the "wrong eye" image from each eye,
   the anaglyph simulates binocular vision.  When the two pictures
   have been properly generated and overlaid, the resulting 3D image
   provides a surprisingly good sense of depth. 

Red and Blue
------------

   The method anaglyph images use to block out the "wrong eye" image 
   is colored lenses.  The visible light spectrum can easily be broken
   down into combinations of only three colors - Red, Blue, and Green.
   Color computer monitors, for example, display a color using dif-
   ferent intensities of red, blue, and green light.  Each of these
   three primary colors, however, is independent of the other - red
   light contains no blue light, blue light contains no green light,
   and so on.  By merging a red image and a blue image (the resultant
   image is usually fairly purplish), and then viewing the image
   through a pair of red/blue film glasses, one eye will see only the
   red image, and the other will see only the blue image.  The other
   color in each case is filtered out by the colored film.  While Red
   and Blue are the normal colors used in viewing anaglyphs, any com-
   bination of Red, Blue, or Green will work as well, assuming you use
   the correct pair of colored glasses.
















======================================================================
SECTION 2 - ANAGLYPH ADVANTAGES

There are several advantages to anaglyph images on a computer:  first,
it's cheap;  second, it is largely independent of viewing angle, and
third, the images are fairly easy to manipulate on a computer.

Cheap
-----
   
   The only hardware required to view an anaglyph image is a VGA mon-
   itor and a pair of colored film glasses.  VGA monitors are essen-
   tially standard on any home computer, and glasses can be purchased 
   at a purely nominal cost (see the special offer in Appendix B -    
   Order Form).

Independent of viewing angle
----------------------------

   Other methods of 3D imaging, such as polarized lenses or spectro-
   scopic viewing require that a person view the image from a precise
   location at a precise angle.  With anaglyph images, as long as the
   view is horizontal (don't tilt your head sideways!), the viewer can
   be any distance from the image at any angle.

Easy to manipulate   
------------------

   Since a computer monitor is also a Red/Green/Blue device, almost
   all graphics programs and hardware deal with graphics images in
   that fashion.  Graphics palettes are represented by intensities of
   red, blue, and green, and some graphics modes even separate an
   image into "planes" of red, green, and blue (plus a plane for 
   intensity, to provide 16 colors).  Creating an anaglyph simply
   becomes a matter of taking the blue portion of one image, and 
   merging it with the red portion of a second image.
























======================================================================
SECTION 2 - ANAGLYPH DISADVANTAGES

There are, unfortunately, some minor disadvantages to anaglyph images
on a computer.  Since the image is presented in red and blue colors,
it is not possible to provide color differentiations in an anaglyph
picture - just scaled red and blue (along the lines of B/W tele-
vision).  The image is used to provide a sense of depth - it is not a
major work of art.  The other drawback to viewing anaglyph images is
related to the first - the viewer is not only seeing two different
angles of view, but also different colors.  Many people report a cer-
tain amount of dizziness and disorientation, not to mention eyestrain
after viewing anaglyph images.  This effect is easily minimized by
frequent breaks in the viewing of anaglyph images.














































======================================================================
SECTION 2 - GENERATING LEFT/RIGHT IMAGES

For an anaglyph image to be effective, two images, a "left eye" image
and a "right eye" image must be used.  Anaglyphs can NOT be generated
from a single image.  In order to generate an anaglyph image, a left
eye viewpoint and a right eye viewpoint of a scene must first be gen-
erated.  There are two basic methods of doing this.

Picture Planes
--------------

One method of generating the required two images is by drawing planes
of a picture.  First, a background is drawn.  This background is used
in both images identically.  Secondly, a plane of objects is drawn.
This plane of objects is then pasted onto the backgrounds of each
image in a slightly different location - the plane is offset slightly
to the right in the left eye image, and offset slightly to the left in
the right eye image.  This process is repeated for each plane of ob-
jects, offsetting each plane slightly more as the object get closer to
the viewer.  This process can be the quickest method, but provides an
image that is not very smooth for depth, nor is it very accurate.

RAY TRACERS

Ray tracers are a very good method of generating left and right views
of an image.  Most ray-tracing programs define a "camera" and a point
of focus.  By moving the camera left and right, and focusing on the
same position, left eye and right eye images can be generated.  The
resulting anaglyph is very detailed, and provides an excellent sense
of depth.  Some very good ray-trace programs include PoV-Ray, Polyray,
and Vivid.  Many commercial programs exist as well that will draw
three dimensional pictures, and allow modification of the viewpoint.



























======================================================================
SECTION 2 - RED/GREEN/BLUE SCALING IMAGES

Before combining left-eye and right-eye images to form an anaglyph,
each image must first be "scaled" to a monochromatic (single color)
image.  In the default case, this means scaling the left-eye image to
red, and the right-eye image to blue.  The scaling procedure performed
is identical to a "greyscale" performed on a color image to convert it
to shades of grey - the image is merely converted to shades of red, or
green, or blue instead.  Using the Settingsconvert_settings command in
the Convert Menuconvert_menu, the percentages of red, green, and blue
intensities in the scaled image can be individually modified.

After the images are scaled, they are merged into a single image.  To
allow for personal preference, 3DGLYPH also allows the user to indi-
vidually set the intensity of each image as it is merged into the
final image.





             ============= END OF SECTION 2 ============





































======================================================================
APPENDIX A - HOW TO REGISTER

If you use 3DGLYPH for more than 14 days, you are expected to register
3DGLYPH.  When you register, you will receive the latest version of
3DGLYPH, a pair of Red/Blue Glasses, a user manual, and a set of Ana-
glyph images and animations.  Additional pairs of glasses can be
ordered separately (see order form).  The registered version provides
file support for 3 additional image formats (GIF, TIF, PCX), does not
have the reminder-to-register screen at program start, and includes
one year of free technical support via Compuserve.

The registration fee is $15.  Pennsylvania residents, add 6% sales tax
to the registration fee.  US residents, add $4 for shipping and
handling; non-US residents, add $8 for shipping and handling. 
Registered users of 3DGLYPH can purchase the latest version for the
shipping and handling fees as described above.

Registrations with the incorrect fee or with non-US currency will be
returned.  Foreign registrations must send US currency or a check 
drawn from a US bank.

To register, complete the order form (file ORDER.FRM) and send payment
to:

      3C3D Software
      1321 Virginia Ave.
      Monaca, PA 15061
      U.S.A.































======================================================================
APPENDIX B - ORDER FORM

 Name: ______________________________________________________________
 Address: ___________________________________________________________
 City: _____________________  State: ________  ZIP: _________________
 Country (if outside US): ___________________________________________
 Phone Number (optional): _____________  Circle:  home  or  work
 Shareware Version of Program evaluated (optional): _________________
 Where you found Shareware Version (optional): ______________________

  Product                       Quantity     Price Each         Total
  ===================================================================
  3D Glyph for Windows 3.x        ____       $15.00 U.S.        _____
  Additional Red/Blue 3D Glasses  ____       $ 1.00 U.S.        _____
  ===================================================================
                                            Merchandise Total: ______

                  6% Sales Tax  (Pennsylvania residents only): ______
                           Shipping and Handling (choose one): ______
                            __  U.S. residents ($4 U.S.)
                            __  Non-U.S. residents ($8 U.S.)

                                                        TOTAL: ______

   (Payments must be in U.S. cash, U.S. funds drawn on a U.S. bank,
    or a postal money order)


  Choose Disk Size:
                      __  5 1/4" DS/DD (360K) disk
                      __  3 1/2" DS/HD (1.44 MB) disk


 Mail to: 
         3C3D Software 
         1321 Virginia Ave.
         Monaca, PA 15061
         U.S.A.


          ******************** SPECIAL OFFER ********************

   If you are interested in anaglyphs, and need a pair of Red/Blue 
   glasses to experiment with this program for the 14 day trial
   period, you can obtain a pair of Red/Blue glasses by sending $2 in
   a self-addressed, stamped envelope to the above mailing address.
   If you decide to continue to use the program at the end of the
   trial period, the $2 will be refunded when you register the
   program.










======================================================================
APPENDIX C - REPORTING BUGS 

If you find a bug in 3DGLYPH, we would appreciate it if you would 
inform us of the bug either by U.S. Post via the following address, or
post a message to our Compuserve accounts:

    3C3D Software
    1321 Virginia Ave.
    Monaca, PA 15061
    U.S.A.

    David Carraher
    76405,541@compuserve.com

    Mark Carraher
    100113,44@compuserve.com

When you send us a bug report, include a description of the procedure
for reproducing the bug and a description of your system configuration
(hardware and software).







































======================================================================
APPENDIX D - LICENSE AGREEMENT

REGISTERED users are licensed to single-copy use of 3DGLYPH; this
means that as many registered versions of 3DGLYPH can be installed
simultaneously on as many computers as desired, IF only one copy is in
use by the registered individual at a time.  Registered users may make
copies of the registered 3DGLYPH disk as necessary for normal backup
purposes; they agree not to make any copies of the printed 3DGLYPH
manual or the registered diskette contents for others.


















































======================================================================
APPENDIX E - DISCLAIMER

The authors of this program accept no responsibility for damages that
are caused by this program and make NO WARRANTY or representation,
either express or implied, with respect to this software.  This soft-
ware is provided "AS IS," and you, its user, assume the entire risk
when you use it.




















































======================================================================
APPENDIX F - ACKNOWLEDGMENTS

3DGLYPH is based in part on the work of the Steve Rimmer as included
in the Windcrest/McGraw-Hill volume "Windows Bitmapped Graphics".

Windows is a trademark of Microsoft Corporation.

The Graphics Interchange Format(c) is the Copyright property of
CompuServe Incorporated.  GIF(sm) is a Service Mark property of
CompuServe Incorporated.

3DGLYPH is Copyright (c) 1995, 3C3D Software.  All rights reserved.


